"use strict";
/**
 * @file clean dist
 * @author nighca <nighca@live.cn>
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const del_1 = __importDefault(require("del"));
const paths_1 = require("./utils/paths");
const logger_1 = __importDefault(require("./utils/logger"));
const utils_1 = require("./utils");
const build_conf_1 = require("./utils/build-conf");
const paths_2 = require("./utils/paths");
function clean() {
    return __awaiter(this, void 0, void 0, function* () {
        const buildConfig = yield build_conf_1.findBuildConfig();
        const dist = paths_1.getDistPath(buildConfig);
        logger_1.default.debug(`clean dist: ${dist}`);
        yield del_1.default(dist, { force: true });
        // delete webpack persistent cache directory
        if (paths_2.getNeedCache()) {
            const cacheDir = paths_2.getCachePath();
            logger_1.default.debug(`clean cache: ${cacheDir}`);
            yield del_1.default(cacheDir, { force: true });
        }
    });
}
exports.default = utils_1.logLifecycle('Clean', clean, logger_1.default);
