"use strict";
/**
 * @file generate dist files
 * @author nighca <nighca@live.cn>
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_1 = __importDefault(require("webpack"));
const logger_1 = __importDefault(require("./utils/logger"));
const utils_1 = require("./utils");
const webpack_2 = require("./webpack");
function generate() {
    return __awaiter(this, void 0, void 0, function* () {
        const config = yield webpack_2.getConfig();
        logger_1.default.debug('webpack config:', config);
        return new Promise((resolve, reject) => {
            webpack_1.default(config, (err, stats) => {
                if (err) {
                    reject(err);
                    return;
                }
                if (stats && stats.hasErrors()) {
                    reject(stats.toJson().errors);
                    return;
                }
                resolve();
            });
        });
    });
}
exports.default = utils_1.logLifecycle('Generate', generate, logger_1.default);
